<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  $_SESSION['MenuReminderCalendar'] = $page;
  $xUserRightAddArtist = 1;
  $xUserRightEditArtist = 1;
  $xUserRightDeleteArtist = 1;

  if ( AmountOfArtistsInDatabase()=='0' )
  {
    echo '<div id="PageMenu">';
    include('calendar/includes/buttonAddArtist.php');
    echo '</div>';
    echo '<br />'.$L_218.'<br /><br />';
  }
  else
  {
    // Sessioin-Variable 'Anzahl' definieren
      if ( isset($_POST['Anzahl']) ) { $_SESSION["Anzahl"] = $_POST['Anzahl']; $_SESSION['CurrentPageShowAllArtists']=1; }
      if ( !isset($_SESSION["Anzahl"]) ) { $_SESSION["Anzahl"] = "25"; }
      $EintraegeProSeite = $_SESSION["Anzahl"];

    $AnzahlEintraege = AmountOfArtistsInDatabase();
    if ( $EintraegeProSeite!='all' ) $AnzahlSeiten = ceil($AnzahlEintraege/$EintraegeProSeite);
      else $AnzahlSeiten = '0';
    if (isset($_REQUEST['subpage'])) $_SESSION['CurrentPageShowAllArtists'] = $_REQUEST['subpage'];
    if ( !isset($_SESSION['CurrentPageShowAllArtists']) ) $_SESSION['CurrentPageShowAllArtists'] = "1";
    $aktuelleSeite = $_SESSION['CurrentPageShowAllArtists'];
    $obersterEintrag  = $EintraegeProSeite*($aktuelleSeite-1);

      // Ansichts-Parameter
      echo '<form method="post" action="index.php?submenu=calendar&amp;page=backend_showAllArtists" accept-charset="UTF-8">
                <fieldset id="PageMenu">
                  <input type="hidden" name="thread[threadid]" value="$thread[threadid]" />
                  <select name="Anzahl" onchange="this.form.submit()">
                    <option value="all"'; if ($EintraegeProSeite=="all") echo ' selected="selected"'; echo'>'.$L_All.'</option>';
                    for ($i=10; $i<=100; $i++)
                    {
                      echo '<option value="'.$i.'"';
                      if ($EintraegeProSeite==$i)
                        echo ' selected="selected"';
                      echo'>'.$i.'</option>';
                    }
                  echo '</select>';
        include('calendar/includes/buttonAddArtist.php');
        //echo NewsBackendNavigation();
        echo '</fieldset>';

      // Datensatz-Ausgabe festlegen
        $sql = "SELECT * FROM ".DB_PREFIX."artists order by ArtistName ASC";
        $sql = $sql." LIMIT ".$obersterEintrag.", ";
        if ( $EintraegeProSeite=='all') { $sql = $sql.$AnzahlEintraege; }
        else { $sql = $sql.$EintraegeProSeite; }
        $resultat = mysql_query($sql);

      echo '<table id="WideTable" summary="Table_ShowAllArtists">';
      // Spalten definieren
            echo '<colgroup>';
            if ( $xUserRightDeleteArtist ) { echo'<col class="SpalteIcon" />'; }
            if ( $xUserRightEditArtist ) { echo'<col class="SpalteIcon" />'; }
            if ( !$xUserRightDeleteArtist AND !$xUserRightEditArtist )  { echo'<col class="SpalteIcon" />'; }
            echo '<col />';
            echo '<col />';
            echo '<col />';
            echo '<col class="TabellenSpalte_Rechts" />';
            echo '</colgroup>';
      echo '<tr id="TableColumnHead">';
          if ( $xUserRightDeleteArtist ) { echo'<th>&nbsp;</th>'; }
          if ( $xUserRightEditArtist ) { echo'<th>&nbsp;</th>'; }
          if ( !$xUserRightDeleteArtist AND !$xUserRightEditArtist )  { echo'<th>&nbsp;</th>'; }
          echo '<th>'.$L_ArtistName.'</th>
                <th class="TabellenSpalte_Rechts">'.$L_ArtistURL.'</th>
              </tr>';
          while ($row = mysql_fetch_array($resultat))
          {
            extract($row);
            echo '<tr>';
            if ( $xUserRightDeleteArtist )
            {
              echo '<td>
                      <a href="index.php?submenu=calendar&amp;page=backend_delArtist&amp;id='.$ArtistID.'">
                        <img src="images/delete.gif" alt="'.$L_009.'" title="'.$L_009.'" /></a>
                    </td>';
            }
            if ( $xUserRightEditArtist )
            {
              echo '<td>
                      <a href="index.php?submenu=calendar&amp;page=backend_addArtist&amp;job=edit&amp;id='.$ArtistID.'">
                        <img src="images/edit.png" alt="'.$L_010.'" title="'.$L_010.'" /></a>
                    </td>';
            }
            if ( !$xUserRightDeleteArtist AND !$xUserRightEditArtist )
            {
              echo '<td>
                      <a href="index.php?submenu=calendar&amp;page=backend_showArtist&amp;id='.$ArtistID.'">
                        <img src="images/show.png" alt="'.$L_153.'" title="'.$L_153.'" /></a>
                    </td>';
            }
            // Datum
            //echo '<td>'.$DateString.' ('.$AddedFrom.')</td>';
            // ArtistName
                echo '<td>'.$ArtistName.'</td>';
            // ArtistURL
                echo '<td>'.$ArtistURL.'</td>';
            // Letzte Bearbeitung
              //echo '<td>'.$DateOfLastEditString;
                    //if ($LastEditor) echo ' (';
                    //echo $LastEditor;
                    //if ($LastEditor) echo ')';
                    //echo '</td>';
            echo '</tr>';
          }
          echo '</table></form>';
    }
?>